sig_tone_rx_state_s Struct Reference

`#include <sig_tone.h>`

## Public Attributes

tone_report_func_t | sig_update
| The callback function used to handle signalling changes.
void * | user_data
| A user specified opaque pointer passed to the callback function.
const sig_tone_descriptor_t * | desc
| Tone descriptor.
int | current_rx_tone
| The current receive tone.
int | high_low_timer
| The timeout for switching from the high level to low level tone detector.
int | current_notch_filter
| ???
struct { |
float notch_z1 [2] |
| The z's for the notch filter.
float notch_z2 [2] |
| The z's for the notch filter.
power_meter_t power |
| The power output of the notch.
} | tone [3]
float | flat_z [2]
| The z's for the weighting/bandpass filter.
power_meter_t | flat_power
| The output power of the flat (unfiltered or flat filtered) path.
int | tone_persistence_timeout
| Persistence check for tone present.
int | last_sample_tone_present
| The tone pattern on the last audio sample.
int32_t | flat_detection_threshold
| The minimum reading from the power meter for detection in flat mode.
int32_t | sharp_detection_threshold
| The minimum reading from the power meter for detection in sharp mode.
int32_t | detection_ratio
| The minimum ratio between notched power and total power for detection.
int | flat_mode
| TRUE if in flat mode. FALSE if in sharp mode.
int | notch_enabled
| TRUE if the notch filter is enabled in the media path.
int | flat_mode_timeout
| ???
int | notch_insertion_timeout
| ???
int | signalling_state
| ???
int | signalling_state_duration
| ???

## Detailed Description

Signalling tone receive state

The documentation for this struct was generated from the following file:

- private/sig_tone.h